Listar PIX Automático do usuário
curl --request GET \
--url https://nexus.ticto.com.br/api/v1/financial/pix-recurring \
--header 'Authorization: Bearer <token>' \
--header 'X-Api-Client-Token: <api-key>'import requests
url = "https://nexus.ticto.com.br/api/v1/financial/pix-recurring"
headers = {
"X-Api-Client-Token": "<api-key>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'X-Api-Client-Token': '<api-key>', Authorization: 'Bearer <token>'}
};
fetch('https://nexus.ticto.com.br/api/v1/financial/pix-recurring', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://nexus.ticto.com.br/api/v1/financial/pix-recurring",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"X-Api-Client-Token: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://nexus.ticto.com.br/api/v1/financial/pix-recurring"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-Api-Client-Token", "<api-key>")
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://nexus.ticto.com.br/api/v1/financial/pix-recurring")
.header("X-Api-Client-Token", "<api-key>")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://nexus.ticto.com.br/api/v1/financial/pix-recurring")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-Api-Client-Token"] = '<api-key>'
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"status": "success",
"message": "Recurso listado com sucesso.",
"data": [
{
"subscription_code": "TS7QK4M2XJ9BVN5RLD3W",
"status": "active",
"status_label": "Ativo",
"frequency": "monthly",
"frequency_label": "Mensal",
"authorization_type": "monthly_auth_monthly_retry",
"variable_amount": false,
"min_amount": null,
"max_amount": null,
"authorization_date": "2026-08-01T12:00:00.000000Z",
"expires_at": null,
"retry_attempts": 1,
"max_retry_attempts": 7,
"failed_charges": 0,
"created_at": "01/08/2026 11:58:40"
}
]
}PIX Automático
Listar PIX Automático do usuário
Retorna os mandatos de PIX Automático das assinaturas em que o usuário do token Authorization: Bearer é o assinante (subscriptions.user_id), do mais recente para o mais antigo.
Os dados vêm do banco da Ticto, sem consulta ao gateway. Para ver o estado atual no gateway, use GET /financial/pix-recurring/{subscription_code}/status.
Atenção: esta listagem filtra pelo assinante. As rotas por
subscription_code(detalhe, status, cancelar e retry) exigem que o token seja do produtor do pedido.
GET
/
financial
/
pix-recurring
Listar PIX Automático do usuário
curl --request GET \
--url https://nexus.ticto.com.br/api/v1/financial/pix-recurring \
--header 'Authorization: Bearer <token>' \
--header 'X-Api-Client-Token: <api-key>'import requests
url = "https://nexus.ticto.com.br/api/v1/financial/pix-recurring"
headers = {
"X-Api-Client-Token": "<api-key>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'X-Api-Client-Token': '<api-key>', Authorization: 'Bearer <token>'}
};
fetch('https://nexus.ticto.com.br/api/v1/financial/pix-recurring', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://nexus.ticto.com.br/api/v1/financial/pix-recurring",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"X-Api-Client-Token: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://nexus.ticto.com.br/api/v1/financial/pix-recurring"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-Api-Client-Token", "<api-key>")
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://nexus.ticto.com.br/api/v1/financial/pix-recurring")
.header("X-Api-Client-Token", "<api-key>")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://nexus.ticto.com.br/api/v1/financial/pix-recurring")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-Api-Client-Token"] = '<api-key>'
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"status": "success",
"message": "Recurso listado com sucesso.",
"data": [
{
"subscription_code": "TS7QK4M2XJ9BVN5RLD3W",
"status": "active",
"status_label": "Ativo",
"frequency": "monthly",
"frequency_label": "Mensal",
"authorization_type": "monthly_auth_monthly_retry",
"variable_amount": false,
"min_amount": null,
"max_amount": null,
"authorization_date": "2026-08-01T12:00:00.000000Z",
"expires_at": null,
"retry_attempts": 1,
"max_retry_attempts": 7,
"failed_charges": 0,
"created_at": "01/08/2026 11:58:40"
}
]
}Authorizations
Token de autenticação do cliente obtido via endpoint /auth
Token de autenticação do usuário (public_token) obtido na criação do usuário